https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7422
Summary: tools/runlex.sh forgets exit status
Product: Wireshark
Version: SVN
Platform: x86
OS/Version: FreeBSD
Status: NEW
Severity: Minor
Priority: Low
Component: Extras
AssignedTo: bugzilla-admin@xxxxxxxxxxxxx
ReportedBy: wireshark@xxxxxxxxxxx
Build Information:
SVN version 41133 in /trunk/tools/runlex.sh
--
The change made was:
--- trunk/tools/runlex.sh 2012/01/14 01:25:33 40489
+++ trunk/tools/runlex.sh 2012/02/22 03:13:38 41133
@@ -85,6 +85,7 @@
#
# OK, run it.
#
+echo "Running ${LEX}"
${LEX} -o"$outfile" $flags "$@"
#
@@ -95,6 +96,8 @@
#
# No. Exit with the failing exit status.
#
+ exitstatus=$?
+ echo "${LEX} failed: exit status $exitstatus"
exit $?
fi
that "exit $?" should be "exit ${exitstatus}"
--
Configure bugmail: https://bugs.wireshark.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are watching all bug changes.